Package org.drinkless.tdlib

# Class TdApi.StartLiveStory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StartLiveStoryResult>
org.drinkless.tdlib.TdApi.StartLiveStory

Enclosing class:
  `TdApi`

public static class TdApi.StartLiveStory extends TdApi.Function<TdApi.StartLiveStoryResult>
Starts a new live story on behalf of a chat; requires canPostStories administrator right for channel chats.

Returns `StartLiveStoryResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat that will start the live story.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `enableMessages`
  Pass true to allow viewers of the story to send messages.
  `boolean`
  `isRtmpStream`
  Pass true to create an RTMP stream instead of an ordinary group call.
  `long`
  `paidMessageStarCount`
  The minimum number of Telegram Stars that must be paid by viewers for each sent message to the call; 0-getOption("paid_group_call_message_star_count_max").
  `TdApi.StoryPrivacySettings`
  `privacySettings`
  The privacy settings for the story; ignored for stories posted on behalf of channel chats.
  `boolean`
  `protectContent`
  Pass true if the content of the story must be protected from screenshotting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartLiveStory()`
  Default constructor for a function, which starts a new live story on behalf of a chat; requires canPostStories administrator right for channel chats.
  `StartLiveStory(long chatId, TdApi.StoryPrivacySettings privacySettings, boolean protectContent, boolean isRtmpStream, boolean enableMessages, long paidMessageStarCount)`
  Creates a function, which starts a new live story on behalf of a chat; requires canPostStories administrator right for channel chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat that will start the live story. Pass Saved Messages chat identifier when starting a live story on behalf of the current user, or a channel chat identifier.

  - ### privacySettings

    public TdApi.StoryPrivacySettings privacySettings
    The privacy settings for the story; ignored for stories posted on behalf of channel chats.

  - ### protectContent

    public boolean protectContent
    Pass true if the content of the story must be protected from screenshotting.

  - ### isRtmpStream

    public boolean isRtmpStream
    Pass true to create an RTMP stream instead of an ordinary group call.

  - ### enableMessages

    public boolean enableMessages
    Pass true to allow viewers of the story to send messages.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    The minimum number of Telegram Stars that must be paid by viewers for each sent message to the call; 0-getOption("paid_group_call_message_star_count_max").

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StartLiveStory

    public StartLiveStory()
    Default constructor for a function, which starts a new live story on behalf of a chat; requires canPostStories administrator right for channel chats.

    Returns `StartLiveStoryResult`

  - ### StartLiveStory

    public StartLiveStory(long chatId, TdApi.StoryPrivacySettings privacySettings, boolean protectContent, boolean isRtmpStream, boolean enableMessages, long paidMessageStarCount)
    Creates a function, which starts a new live story on behalf of a chat; requires canPostStories administrator right for channel chats.

    Returns `StartLiveStoryResult`

    Parameters:
      `chatId` - Identifier of the chat that will start the live story. Pass Saved Messages chat identifier when starting a live story on behalf of the current user, or a channel chat identifier.
      `privacySettings` - The privacy settings for the story; ignored for stories posted on behalf of channel chats.
      `protectContent` - Pass true if the content of the story must be protected from screenshotting.
      `isRtmpStream` - Pass true to create an RTMP stream instead of an ordinary group call.
      `enableMessages` - Pass true to allow viewers of the story to send messages.
      `paidMessageStarCount` - The minimum number of Telegram Stars that must be paid by viewers for each sent message to the call; 0-getOption("paid_group_call_message_star_count_max").

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StartLiveStoryResult>`
    Returns:
      this.CONSTRUCTOR